Create a Dataflow

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
POST /dataflows

Create a Dataflow.

application/json

Body

  • body string

    { "name": "new_dataflow", "description" : "dataflow description" }

  • description string

    description of the Dataflow

  • enable_error_email_notifications string

    Indicates if the error email notifications will be enabled.

  • error_notification_email string

    The email or email addresses to send error notifications to. Multiple emails must be separated by a comma.

  • name string Required

    name of the Dataflow

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • created_by string

      name of entity that created the Dataflow

    • created_date string

      Creation date of the Dataflow

    • modified_by string

      name of entity last modified the Dataflow

    • modified_date string

      Modified date of the Dataflow

    • id string

      id of the Dataflow

    • description string

      description of the Dataflow

    • enable_error_email_notifications string

      Indicates if the error email notifications will be enabled.

    • error_notification_email string

      The email or email addresses to send error notifications to. Multiple emails must be separated by a comma.

    • name string Required

      name of the Dataflow

    • owning_entity string

      owner of the Dataflow

    • trusted_entities array
POST /dataflows
curl \
 --request POST 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/dataflows' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '"{\n  \"Body\": \"\",\n  \"description\": \"\",\n  \"enableErrorEmailNotifications\": \"\",\n  \"errorNotificationEmail\": \"\",\n  \"name\": \"\"\n}"'
Request example
{
  "Body": "",
  "description": "",
  "enableErrorEmailNotifications": "",
  "errorNotificationEmail": "",
  "name": ""
}
Response examples (200)
{
  "CREATED_BY": "5684058f159fffbe29ff9912",
  "CREATED_DATE": "2016-04-24 03:14:48 UTC",
  "MODIFIED_BY": "5684058f159fffbe29ff9912",
  "MODIFIED_DATE": "2016-04-24 03:14:48 UTC",
  "_id": "571c3a28d5ae983a0060b57f",
  "description": "test 5",
  "name": "tes55",
  "owningEntity": "demo_5",
  "trustedEntities": [
    {
      "accessLevel": "READWRITE",
      "entity": "5684058f159fffbe29ff9913"
    }
  ]
}